import 'package:flutter/material.dart';

class delivery_info_button extends StatelessWidget {
  final Color btnColor;
  final Icon btnIcon;
  final Function btnFunction;
  final String btnName;

  delivery_info_button(
      {this.btnColor, this.btnIcon, this.btnFunction, this.btnName});
  @override
  Widget build(BuildContext context) {
    print(btnColor);
    return Padding(
      padding: EdgeInsets.all(8.0),
      child: Column(
        children: <Widget>[
          SizedBox(
            height: 50,
            width: 60, // specific value
            child: RaisedButton(
              padding: EdgeInsets.only(left: 2),
              color: btnColor,
              shape: RoundedRectangleBorder(
                borderRadius: new BorderRadius.circular(8.0),
              ),
              child: btnIcon,
              onPressed: btnFunction,
            ),
          ),
          SizedBox(
            height: 10,
          ),
          Text(
            btnName,
            style: TextStyle(
              fontWeight: FontWeight.bold,
              fontSize: 10,
            ),
          ),
        ],
      ),
    );
  }
}